org.apache.tomcat.util.bcel.util

## Class ByteSequence

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - java.io.DataInputStream
      - - org.apache.tomcat.util.bcel.util.ByteSequence

All Implemented Interfaces:
  Closeable, DataInput, AutoCloseable

    public final class ByteSequence
    extends DataInputStream

Utility class that implements a sequence of bytes which can be read via the `readByte()' method. This is used to implement a wrapper for the Java byte code stream to gain some more readability.

Author:
  M. Dahm

### Field Summary

### Fields inherited from class java.io.FilterInputStream

`in`

### Constructor Summary

Constructors
Constructor and Description
`ByteSequence(byte[] bytes)`

### Method Summary

Methods
`int` `getIndex()`

### Methods inherited from class java.io.DataInputStream

`read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, readUTF, skipBytes`

### Methods inherited from class java.io.FilterInputStream

`available, close, mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteSequence

    public ByteSequence(byte[] bytes)

### Method Detail

#### getIndex

    public final int getIndex()